import robot


def count_boxes():
    """
    Recursively counts the number of boxes at or above the current level in a stack.
    Returns an integer.
    """

    # Base case - no box at current level
    if robot.sense_color() == '':
        return 0
    else:
        # Move up one level
        robot.lift_up()
        # Count the number of boxes at new level
        num_above = count_boxes()
        # Once we have our answer - need to move back down one level
        robot.lift_down()
        # Return the number from level above + 1 for the current level
        return 1 + num_above


robot.init(pos=0, height=9, boxes=[[], [], ["red", "green", "blue", "yellow", "black"]])

robot.drive_right()
n = count_boxes()
print("There are", n, "boxes!")